SQLITE3_STR(3)

NAME
sqlite3_str - Dynamic String Object

SYNOPSIS
typedef struct sqlite3_str sqlite3_str;

DESCRIPTION
An instance of the sqlite3_str object contains a dynamically-sized string under construction.

The lifecycle of an sqlite3_str object is as follows:

1.  The sqlite3_str object is created using sqlite3_str_new().

2.  Text is appended to the sqlite3_str object using various methods, such as sqlite3_str_appendf().

3.  The sqlite3_str object is destroyed and the string it created is returned using the sqlite3_str_finish() interface.

SEE ALSO
sqlite3_str_appendf(3), sqlite3_str_finish(3), sqlite3_str_new(3)